LINUX.ORG.RU

Adobe Flash Player 23 для Linux. Как установить?

 , ,


2

1

собственно сабж. они предлагают скачать отсюда https://get.adobe.com/ru/flashplayer/otherversions/ некий архив с версией 23 (а не 11, как в репах). Скачивается тарболл, внутри один огромный файл на 15 мегов - libpepflashplayer.so и пара текстовых файлов, включая ридми, в котором ничего нет про установку. Куда поместить .so и как заставить работать его в Firefox?

ps: комменты типа «не нужно» и прочие в таком духе оставьте при себе. раз я спрашиваю, значит мне нужно

Перемещено leave из talks

Перемещено leave из general

Тупо копируй сюда: /usr/lib/firefox/browser/plugins/

Stahl ★★☆ ()
Ответ на: комментарий от Kompilainenn

Если не подцепится, то попробуй установить штатными средствами старый, а потом заменить либу. Я так всё время обновлял флеш. Я даже не знаю как это делать иначе.

Stahl ★★☆ ()

У меня этот файл лежит в /usr/lib64/chromium/PepperFlash/libpepflashplayer.so

Это плагин flash для хромиума. Для работы флеш-плагина из хромиума в файрфоксе, в файрфокс надо установить специальный плагин freshplayerplugin

DawnCaster ()
Ответ на: комментарий от Stahl

Тупо копируй сюда: /usr/lib/firefox/browser/plugins/

Ага, ага, давно у файрфокса появилась нативная поддержка PPAPI?

Dimez ★★★★★ ()
Ответ на: комментарий от Stahl

то попробуй установить штатными средствами старый, а потом заменить либу.

Так делать не стоит.

Dimez ★★★★★ ()
Последнее исправление: Dimez (всего исправлений: 1)
Ответ на: комментарий от Dimez

Я хрен его знает что там за ППАПИ, но оно так работает.

Stahl ★★☆ ()
Ответ на: комментарий от Stahl

/usr/lib/firefox/browser/plugins/

Трындец, и что оно с привилегиями системы работает?

uin ★★ ()
Ответ на: комментарий от Stahl

Я хрен его знает что там за ППАПИ, но оно так работает.

23-й флеш не будет так работать. «Хрен знает как оно работает» - ответ неумного человека

Dimez ★★★★★ ()
Ответ на: комментарий от Dimez

давно у файрфокса появилась нативная поддержка PPAPI?

Примерно год тому вперёд. Обещали вроде.

i-rinat ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

Оно работает-то хоть? На форониксе писали, что падает, если первую вкладку закрыть.

i-rinat ★★★★★ ()
Ответ на: комментарий от i-rinat

У меня работает, но надо отключить VDPAU. Если не отключить, то падение плагина без вариантов.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от uin

Как ты вывел это из пути и что подразумеваешь под привилегиями системы.

anonymous ()
Ответ на: комментарий от i-rinat

Примерно год тому вперёд.

Надо запомнить оборот :)

Dimez ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

отключить VDPAU

И зачем он тогда такой нужен?

i-rinat ★★★★★ ()
Ответ на: комментарий от anonymous

Как ты вывел это из пути

Дык как, в /usr/lib может записывать лишь рут и все что он туда запишет будет то же с правами рут. Он может конечно всему что внутри firefox/ пользовательские права повыставлять, но б-ть в чем тогда смысл? Это тогда какой нибудь /home/www_oki-doki_net сможет спокойно у хостера ченить поудалять на радость всем остальным.

что подразумеваешь под привилегиями системы

А какие еще можно права подразумевать? У системы есть любые привилегии.

uin ★★ ()
Последнее исправление: uin (всего исправлений: 1)
Ответ на: комментарий от uin

все что он туда запишет будет то же с правами рут

Нет.

есть любые привилегии

Тогда нет [2].

anonymous ()
Ответ на: комментарий от anonymous

Тогда нет [2].

Тогда тут просто неочем и говорить, так как линуксы (в твоей разумеется вселенной) даже не запускаются.

uin ★★ ()
Ответ на: комментарий от uin

Какие тут ещё линуксы, знаток параллельных вселенных? Чтобы подгрузить soшку плагина, от неё нужно только выставленное право на чтение.

anonymous ()
Ответ на: комментарий от uin

в /usr/lib может записывать лишь рут

Это верно.

все что он туда запишет будет то же с правами рут

Это верно лишь частично. Есть права на доступ к файлам, а есть пользователи. Чтобы запустить исполняемый файл, нужно право «x» на него, поэтому права на исполняемые файлы обычно rwxr-xr-x, то есть чтение, запись и исполнение для владельца (root), чтение и исполнение для группы (root) и всех остальных (ты). Процесс запускается от твоего пользователя, и имеет доступ только туда, куда имеет доступ пользователь.

Похоже, ты слышал про setuid-бит в правах. Вот если его выставить, то при запуске исполняемого файла он получает эффективные права владельца (обычно это root). Такой бит стоит на su и sudo, например, чтобы они могли сменить пользователя, что может только root.

i-rinat ★★★★★ ()
Ответ на: комментарий от uin

Дык как, в /usr/lib может записывать лишь рут и все что он туда запишет будет то же с правами рут

Эээ, алё, а /bin/ls тоже всегда в твоей Вселенной из под рута запускается только потому что лежит в /bin, куда писать обычно может только рут?

Вот это логика!

Pinkbyte ★★★★★ ()

Если на компе один пользователь, можно и в ~/.mozilla/plugins

pumbez ★★★ ()

Я поставил browser-plugin-freshplayer-pepperflash и потом просто обновляю google chrome. Если не обновляется - вручную заменяю файлы из того архива который у тебя. В Firefox может версию flash некорректно писать в настройках, проверяю на страничке https://www.adobe.com/software/flash/about/

los_nikos ★★★★★ ()

раз я спрашиваю, значит мне нужно

Тем не менее, зачем? А то, может, мне тоже нужно, а я и не знаю.

Zmicier ★★★★★ ()

раз я спрашиваю, значит мне нужно

Мааам, Я СКОЗАЛ!

anonymous ()
Ответ на: комментарий от anonymous

Adobe Flash Player 24 для Linux

Adobe Flash Player для Linux обновился до версии 24.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.